Bug 1472798 - Touchpad not working during F26 installation on Dell XPS 13 9630 [NEEDINFO]
Touchpad not working during F26 installation on Dell XPS 13 9630
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-19 08:19 EDT by Christian Kellner
Modified: 2018-02-27 22:58 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (ckellner)

Attachments (Terms of Use)
Xorg log file (48.95 KB, text/plain)
2017-07-19 08:19 EDT, Christian Kellner
no flags Details

  None (edit)
Description Christian Kellner 2017-07-19 08:19:48 EDT
Created attachment 1301073 [details]
Xorg log file

Installing with Fedora-Workstation-netinst-x86_64-26-1.5.iso downloaded today on a Dell XPS 13 9360 (bios 1.3.2), and the touchpad does not work (no cursor movements).

libinput-list-devices (version is 1.7.3):

Device:           SynPS/2 Synaptics TouchPad
Kernel:           /dev/input/event5
Group:            10
Seat:             seat0, default
Size:             70x50mm
Capabilities:     pointer 
Tap-to-click:     disabled
Tap-and-drag:     enabled
Tap drag lock:    disabled
Left-handed:      disabled
Nat.scrolling:    disabled
Middle emulation: disabled
Calibration:      n/a
Scroll methods:   *two-finger edge 
Click methods:    *button-areas clickfinger 
Disable-w-typing: enabled
Accel profiles:   none
Rotation:         n/a



P: /devices/platform/i8042/serio1/input/input6/event5
N: input/event5
E: DEVNAME=/dev/input/event5
E: DEVPATH=/devices/platform/i8042/serio1/input/input6/event5
E: ID_BUS=i8042
E: LIBINPUT_DEVICE_GROUP=11/2/7/1a1:isa0060/serio1

PS: not entirly sure what is the best product to file this in
Comment 1 Benjamin Berg 2017-07-19 08:22:40 EDT
This happened to me on all DELL machines that I tested here. In all cases the touchpad works completely fine after the installation completes.
Comment 2 Benjamin Berg 2017-08-29 08:01:16 EDT
How is this a kernel issue? The touchpad has been detected by the kernel, and the input device is obviously there according to udev.

I run into similar issues trying to use a USB mouse, it simply does not work (this was a Fedora 25 netinstall right now).
Comment 3 Laura Abbott 2018-02-27 22:58:12 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.